Subject: Re: bug#58285: secrets crashes when unlocking database

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 10 Oct 2022 01:21:36 -0400

Hi,

[email-masked] writes:

> (.secrets-real:8886): Gtk-WARNING **: 01:35:46.681: GtkText - did not
> receive a focus-out event.
> If you handle this event, you must return
> GDK_EVENT_PROPAGATE so the default handler
> gets the event as well
> Traceback (most recent call last):
>   File
>   "/gnu/store/b07y8a2axslnz97pjdg7lp73xwk1gf8w-python-pygobject-3.40.1/lib/python3.9/site-packages/gi/overrides/__init__.py",
>   line 351, in wrap
>     return func(a, b, *user_data)
>   File
>   "/gnu/store/sadrq8giqh8f5r1x7ycxa2dciv1445f4-secrets-6.5/lib/python3.9/site-packages/gsecrets/sorting.py",
>   line 60, in sort_by_ctime_asc
>     return ele1.ctime.compare(ele2.ctime)
> TypeError: GLib.DateTime.compare() takes exactly 2 arguments (1 given)

I could reproduce that; I first updated to version 7, but I had an
unrelated problem with otp something.  Unfortunately I'm not sure what's
wrong.  Would you have the time to open an issue with upstream?  You'll
need an account with their gitlab here:
https://gitlab.gnome.org/World/secrets.

-- 
Thanks,
Maxim